Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.swtbot.swt.finder.widgets
Class SWTBotToolbarDropDownButton

    java.lang.Object
      org.eclipse.swtbot.swt.finder.widgets.AbstractSWTBot<ToolItem>
          org.eclipse.swtbot.swt.finder.widgets.SWTBotToolbarButton
              org.eclipse.swtbot.swt.finder.widgets.SWTBotToolbarDropDownButton

    public class SWTBotToolbarDropDownButton

extends SWTBotToolbarButton

This represents a toolbar item that is a drop down button.

Since:
  1.2
Version:
  $Id$
Author:
  Ketan Padegaonkar <KetanPadegaonkar [at] gmail [dot] com>

Field Summary

Fields inherited from class org.eclipse.swtbot.swt.finder.widgets.AbstractSWTBot
`description, display, log, widget`

Constructor Summary
`SWTBotToolbarDropDownButton(ToolItem w)` Constructs an new instance of this item.
`SWTBotToolbarDropDownButton(ToolItem w, SelfDescribing description)` Constructs an new instance of this item.

Method Summary
`SWTBotToolbarDropDownButton` | `click()` Click on the tool item.
`SWTBotMenu` | `menuItem(Matcher<MenuItem> matcher)` Finds all the submenu inside this menu item that match the given matcher.
`SWTBotMenu` | `menuItem(String menuItem)` Finds the submenu inside this menu item.
`List<? extends SWTBotMenu>` | `menuItems(Matcher<MenuItem> matcher)` Finds all the submenus inside this menu item that match the given matcher.

Methods inherited from class org.eclipse.swtbot.swt.finder.widgets.SWTBotToolbarButton
`isEnabled, sendNotifications`

Methods inherited from class org.eclipse.swtbot.swt.finder.widgets.AbstractSWTBot
`absoluteLocation, assertEnabled, asyncExec, backgroundColor, click, clickXY, contextMenu, contextMenu, createEvent, createMouseEvent, createSelectionEvent, doubleClickXY, foregroundColor, getId, getText, getToolTipText, hasStyle, isActive, isEnabledInternal, isVisible, keyboard, notify, notify, notify, pressShortcut, pressShortcut, pressShortcut, rightClick, rightClick, setFocus, sleep, syncExec, syncExec, syncExec, syncExec, syncExec, syncExec, syncExec, syncExec, toString, traverse, waitForEnabled`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SWTBotToolbarDropDownButton

    public SWTBotToolbarDropDownButton(ToolItem w)
                                throws WidgetNotFoundException

  Constructs an new instance of this item.

  Parameters:
    `w` - the tool item.
  Throws:
    `WidgetNotFoundException` - if the widget is `null` or widget has been disposed.

### SWTBotToolbarDropDownButton

    public SWTBotToolbarDropDownButton(ToolItem w,
                                       SelfDescribing description)
                                throws WidgetNotFoundException

  Constructs an new instance of this item.

  Parameters:
    `w` - the tool item.
    `description` - the description of the widget, this will be reported by `AbstractSWTBot.toString()`
  Throws:
    `WidgetNotFoundException` - if the widget is `null` or widget has been disposed.

Method Detail

### menuItem

    public SWTBotMenu menuItem(String menuItem)

  Finds the submenu inside this menu item.

  NOTE:Invoking this keeps the menu open until you click on it.

  Parameters:
    `menuItem` - the submenu to search
  Returns:
    the menu item with the specified text
  Since:
    1.0

### menuItem

    public SWTBotMenu menuItem(Matcher<MenuItem> matcher)

  Finds all the submenu inside this menu item that match the given matcher.

  NOTE:Invoking this keeps the menu open until you click on it.

  Parameters:
    `matcher` - the matcher
  Returns:
    the menu item with the specified text

### menuItems

    public List<? extends SWTBotMenu> menuItems(Matcher<MenuItem> matcher)

  Finds all the submenus inside this menu item that match the given matcher.

  NOTE:Invoking this keeps the menu open until you click on it.

  Parameters:
    `matcher` - the matcher
  Returns:
    the menu items matching the matcher.
  Throws:
    `WidgetNotFoundException` - if the menuItem could not be found

### click

    public SWTBotToolbarDropDownButton click()

  Click on the tool item.

  Specified by:
    `click` in class `SWTBotToolbarButton`
  Returns:
    itself.
  Since:
    1.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD